import { APIRequest } from '../utils/APIRequest';
import { RequestOpts } from '../typings';
/**
 * @api public
 * CategoriesAPI - Provides methods to interact with the Categories API
 */
declare class CategoriesAPI extends APIRequest {
    constructor(opts: RequestOpts);
    /**
     * `GET /api/categories/` - Promises to return a list of categories
     * @returns - an array of categories
     */
    getCategories(): Promise<any>;
}
export { CategoriesAPI };
