"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var APIRequest_1 = require("../utils/APIRequest");
/**
 * @api public
 * CategoriesAPI - Provides methods to interact with the Categories API
 */
var CategoriesAPI = /** @class */ (function (_super) {
    tslib_1.__extends(CategoriesAPI, _super);
    function CategoriesAPI(opts) {
        return _super.call(this, opts) || this;
    }
    /**
     * `GET /api/categories/` - Promises to return a list of categories
     * @returns - an array of categories
     */
    CategoriesAPI.prototype.getCategories = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, this.get()];
            });
        });
    };
    return CategoriesAPI;
}(APIRequest_1.APIRequest));
exports.CategoriesAPI = CategoriesAPI;
