import { APIRequest } from '../utils/APIRequest';
import { RequestOpts } from '../typings';
/**
 * EmojisAPI - Provides methods to interact with the Emojis API
 */
declare class EmojisAPI extends APIRequest {
    constructor(opts: RequestOpts);
    /**
     * `GET /api/emojis/groups/` - Promises to get an array of emoji groups
     */
    getGroups(): Promise<any>;
}
export { EmojisAPI };
