"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var APIRequest_1 = require("../utils/APIRequest");
/**
 * EmojisAPI - Provides methods to interact with the Emojis API
 */
var EmojisAPI = /** @class */ (function (_super) {
    tslib_1.__extends(EmojisAPI, _super);
    function EmojisAPI(opts) {
        return _super.call(this, opts) || this;
    }
    /**
     * `GET /api/emojis/groups/` - Promises to get an array of emoji groups
     */
    EmojisAPI.prototype.getGroups = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this._paths.push('groups');
                return [2 /*return*/, this.get()];
            });
        });
    };
    return EmojisAPI;
}(APIRequest_1.APIRequest));
exports.EmojisAPI = EmojisAPI;
