interface IFileObjectOpts {
    file: any;
    name: string;
}
/**
 * @api private
 * FileObject - describes a file object.
 */
declare class FileObject {
    file: Blob | File;
    name: string;
    isValidFileObject: boolean;
    /**
     * @constructor
     * @param {any} file - The raw file
     * @param {string} name - The name of the file
     */
    constructor(opts: IFileObjectOpts);
}
export { IFileObjectOpts, FileObject };
