import { AxiosPromise } from 'axios';
import RequestStrategy from './core';
/**
 * @api
 * WARNING: The Axios strategy currently does not work well with
 * multipart/form-data and application/x-www-form-urlencoded
 */
declare class AxiosStrategy extends RequestStrategy {
    constructor();
    get(url: string, opts: object): AxiosPromise;
    post(url: string, body: object | string | FormData, opts: object): AxiosPromise;
    put(url: string, body: object | string | FormData, opts: object): AxiosPromise;
    patch(url: string, body: object | string | FormData, opts: object): AxiosPromise;
    delete(url: string, opts: object): AxiosPromise;
}
export = AxiosStrategy;
