"use strict";
var tslib_1 = require("tslib");
var axios_1 = tslib_1.__importDefault(require("axios"));
var core_1 = tslib_1.__importDefault(require("./core"));
/**
 * @api
 * WARNING: The Axios strategy currently does not work well with
 * multipart/form-data and application/x-www-form-urlencoded
 */
var AxiosStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(AxiosStrategy, _super);
    function AxiosStrategy() {
        return _super.call(this, 'axios') || this;
    }
    AxiosStrategy.prototype.get = function (url, opts) {
        return axios_1.default.get(url, opts);
    };
    AxiosStrategy.prototype.post = function (url, body, opts) {
        return axios_1.default.post(url, body, opts);
    };
    AxiosStrategy.prototype.put = function (url, body, opts) {
        return axios_1.default.put(url, body, opts);
    };
    AxiosStrategy.prototype.patch = function (url, body, opts) {
        return axios_1.default.patch(url, body, opts);
    };
    AxiosStrategy.prototype.delete = function (url, opts) {
        return axios_1.default.delete(url, opts);
    };
    return AxiosStrategy;
}(core_1.default));
module.exports = AxiosStrategy;
