import RequestStrategy from './core';
import 'isomorphic-form-data';
import 'isomorphic-fetch';
/**
 * @api
 */
declare class FetchStrategy extends RequestStrategy {
    constructor();
    get(url: string, opts: object): Promise<any>;
    post(url: string, payload: object | string | FormData, opts: object): Promise<any>;
    put(url: string, payload: object | string | FormData, opts: object): Promise<any>;
    patch(url: string, payload: object | string | FormData, opts: object): Promise<any>;
    delete(url: string, opts: object): Promise<any>;
}
export = FetchStrategy;
