import { APIRequest } from '../utils/APIRequest';
import { RequestOpts } from '../typings';
/**
 * HealthAPI - Provides methods to interact with the Health API
 */
declare class HealthAPI extends APIRequest {
    constructor(opts: RequestOpts);
    /**
     * `GET /api/health/` - Promises to get the server health
     */
    getHealth(): Promise<any>;
}
export { HealthAPI };
