"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var APIRequest_1 = require("../utils/APIRequest");
/**
 * HealthAPI - Provides methods to interact with the Health API
 */
var HealthAPI = /** @class */ (function (_super) {
    tslib_1.__extends(HealthAPI, _super);
    function HealthAPI(opts) {
        return _super.call(this, opts) || this;
    }
    /**
     * `GET /api/health/` - Promises to get the server health
     */
    HealthAPI.prototype.getHealth = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.requiresToken = false;
                return [2 /*return*/, this.get()];
            });
        });
    };
    return HealthAPI;
}(APIRequest_1.APIRequest));
exports.HealthAPI = HealthAPI;
