"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @api private
 * FileObject - describes a file object.
 */
var FileObject = /** @class */ (function () {
    /**
     * @constructor
     * @param {any} file - The raw file
     * @param {string} name - The name of the file
     */
    function FileObject(opts) {
        this.isValidFileObject = false;
        if (!opts.file || !opts.name) {
            throw new Error('You must provide the file and its name.');
        }
        this.file = opts.file;
        this.name = opts.name;
        this.isValidFileObject = true;
    }
    return FileObject;
}());
exports.FileObject = FileObject;
